http://www.freebsd.org/cgi/query-pr.cgi?pr=kern/113856
http://www.freebsd.org/cgi/query-pr.cgi?pr=113856

>Category:       kern
>Responsible:    freebsd-bugs
>Synopsis:       PLIP (parallel port IP) dead on 6.2, dead since prob. 4.11
>Arrival-Date:   Tue Jun 19 16:00:08 GMT 2007


The next patch is made against 6.1-src, I jhs@ did the test between
a 4.11-libretto & a Dell Latitude XPi P133ST
http://www.berklix.com/~jhs/hardware/laptops/ booted fron 6.2-RELEASE
The same cable & 2 hosts worked mioinutes before on 4.11.  Thus 6.2
is dead.


*** old/src/share/man/man4/lp.4.old	Tue Jun 19 17:05:22 2007
--- new/src/share/man/man4/lp.4	Tue Jun 19 17:16:48 2007
***************
*** 39,45 ****
  .Dt LP 4
  .Sh NAME
  .Nm lp
! .Nd printer port Internet Protocol driver
  .Sh SYNOPSIS
  .Nm ifconfig
  .Ar plip0
--- 39,45 ----
  .Dt LP 4
  .Sh NAME
  .Nm lp
! .Nd Broken printer port Internet Protocol driver
  .Sh SYNOPSIS
  .Nm ifconfig
  .Ar plip0
***************
*** 50,55 ****
--- 50,72 ----
  .Cd "device plip"
  .Cd "device ppc"
  .Sh DESCRIPTION
+ .ft B
+ This is broken on 6.2-RELEASE. Last seen working on 4.11-RELEASE.
+ .br
+ .ft R
+ .in +2
+ .nf
+ Reported By "Julian H. Stacey" <jhs@@berklix.org>,
+ Confirmed By ghozzy <ghozzy@@gmail.com>
+ http://docs.FreeBSD.org/cgi/mid.cgi?200706081556.l58FuQpn028946
+ http://www.berklix.com/~jhs/hardware/laptops/#plip
+ Message-id: <200706091602.l59G2psm042173@fire.jhs.private>
+ List-id: Technical Discussions relating to FreeBSD
+ List-archive: <http://lists.freebsd.org/pipermail/freebsd-hackers>
+ Date: Sat, 09 Jun 2007 18:02:51 +0200
+ .in -2
+ .fi
+ 
  The
  .Nm
  driver allows a PC parallel printer port to be used as a
=============
Summary: still dead on 6.2 & 7.0BETA4 (lapd is BETA3, but norb was BETA4
					for last few attempts).


From owner-freebsd-current@@freebsd.org Tue Dec 11 04:10:38 2007
Message-Id: <200712110233.lBB2XAtl090250@@fire.js.berklix.net>
To: current@@freebsd.org
From: "Julian H. Stacey" <jhs@@berklix.org>
Organization: http://www.berklix.com BSD Unix Linux Consultancy, Munich/Muenchen.
User-agent: EXMH on FreeBSD http://www.berklix.com/free/
X-URL: http://www.berklix.com/~jhs/cv/
Date: Tue, 11 Dec 2007 03:33:10 +0100
Cc: ghozzy@@gmail.com
Subject: PLIP - Parallel IP - does it still work ?
X-BeenThere: freebsd-current@@freebsd.org
X-Mailman-Version: 2.1.5
Precedence: list
List-Id: Discussions about the use of FreeBSD-current
	<freebsd-current.freebsd.org>
List-Archive: <http://lists.freebsd.org/pipermail/freebsd-current>
List-Post: <mailto:freebsd-current@@freebsd.org>
List-Help: <mailto:freebsd-current-request@@freebsd.org?subject=help>
List-Subscribe: <http://lists.freebsd.org/mailman/listinfo/freebsd-current>,
	<mailto:freebsd-current-request@@freebsd.org?subject=subscribe>
Sender: owner-freebsd-current@@freebsd.org
Errors-To: owner-freebsd-current@@freebsd.org

Hi current@@
Has anyone used PLIP - Parallel IP on any of FreeBSD- 5,6,7 ?
I last saw it working on 4.11-RELEASE, ghozzy@@gmail.com saw it fail too
	http://www.berklix.com/~jhs/hardware/laptops/#plip

A laptop here:  Dell Latitude XPi P133ST
	http://www.berklix.com/~jhs/hardware/laptops/#hosts
has problems with 7.0BETA4 on all of pcmcia cdrom, pcmcia ep0 ether,
& ATA geom/ MBR (wont accept 2nd partition so cant store 7.0 cdrom files
on 2nd partition), so Ive been trying PLIP - No luck.

( If PLIP doesnt work I only have 2 options left: SLIP or rip the
  drive out & install on another host, & hope the BIOS's compatible
  on disk layout. )

Julian
- --
Julian H. Stacey. Munich Consultant: BSD Unix Linux. http://www.berklix.com
        Ihr Rauch=mein allergischer Kopfschmerz. Dump cigs 4 snuff.
_______________________________________________
freebsd-current@@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-current
To unsubscribe, send any mail to "freebsd-current-unsubscribe@@freebsd.org"


From jhs@@fire.js.berklix.net Tue Dec 11 21:30:40 2007

To: current@@freebsd.org, ghozzy@gmail.com
cc: "Poul-Henning Kamp" <phk@@phk.freebsd.dk>,
    Oliver Fromme <olli@@lurza.secnetix.de>
Subject: Re: PLIP - Parallel IP - does it still work ? 
In-reply-to: <30984.1197357342@@critter.freebsd.dk> 
References: <30984.1197357342@@critter.freebsd.dk>
Comments: In-reply-to "Poul-Henning Kamp" <phk@@phk.freebsd.dk>
   message dated "Tue, 11 Dec 2007 07:15:42 +0000."
Date: Tue, 11 Dec 2007 21:30:40 +0100
From: "Julian H. Stacey" <jhs@@fire.js.berklix.net>

Oliver Fromme <olli@@lurza.secnetix.de> wrote:

> FWIW, I also noticed that PLIP seems to work best when
> both machines are about the same speed.  If you can't
> get it to work between a very fast machine and a slow
> one, then I suggest you try a different machine (if
> possible) that is of similar speed as the other one.

Thanks. I started with a similar slow server "lapl" which the 7.0BETA3
installer on install client "norb" failed to contact, then I switched
to a fast server "fire" that also failed.

Hosts "lapa" & "lapl" below work, so a reference to test PL-IP links with:
 HOST  RELEASE   PROCESSOR
 fire  6.2       AMD Athlon(tm) 64 Processor 3000+ (2010.06-MHz K8-class CPU)
 lapa  4.11      Pentium II/Pentium II Xeon/Celeron (267.27-MHz 686-class CPU)
 lapd  7.0-BETA3 Pentium/P55C (166-MHz 586 CPU) (no ppc yet, config prob)
 lapl  4.11      Pentium/P55C (120.27-MHz 586-class CPU)
 loft  6.2	 Pentium II/Pentium II Xeon/Celeron (334.09-MHz 686-class CPU)
 norb  7.0-BETA3 Intel Pentium (P54C) (586-class), 133.65 MHz, id 0x52c

Links: lapa-loft, & fire-lapl dont work.
  ( Host fire (X server) display same sticky mouse latency I've
  seen previously on a working FreeBSD plip/slip though, so some
  activity on that cable, it's trying even if not a working IP link.
  (No lpd of course, 3 PLIP cables, all tested OK on lapa-lapl)

I think PLIP in much or all of FreeBSD-[5-7].* is defective.
	http://www.freebsd.org/cgi/query-pr.cgi?pr=113856
	http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/share/man/man4/lp.4.REL=ALL.diff
	http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/share/man/man4/plip.4.send-pr.no_customise
	http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/src/jhs/sys/dev/ppbus/if_plip.c.REL=ALL.diff
Probably time `man plip` is marked as Dead, until fixed.


"Poul-Henning Kamp" <phk@@phk.freebsd.dk> wrote:

> PLIP is sensitive to cpu clock speeds, you may have to extend the
> loops somewhat in order to give all the EMC/EMI protection time to
> pass the signals.

Thanks, Some time I'll hope to look in /usr/src/sys/ dev/ppc & modules/ppc
if no one else does.

- - -- 
Julian H. Stacey. Munich Computer Consultant, BSD Unix C Linux. http://www.berklix.com
	Ihr Rauch = mein allergischer Kopfschmerz. Dump cigs 4 snuff.

- ------- End of Blind-Carbon-Copy


------- End of Forwarded Message

